%This is a Matlab script developed by Konstantinos Glynis
%based on the analysis of (https://www.itia.ntua.gr/el/docinfo/2079/)
%K. Glynis, T. Iliopoulou, P. Dimitriadis, and D. Koutsoyiannis, Stochastic investigation 
%of daily air temperature extremes from a global ground station network

clc; clear all; close all;

M = xlsread('Moments_Tmax.xlsx');

rep = 245;
N = round(137*365.25,0); %years: 1881-2017
for j = 1:rep;
    i = round(rep*rand());
    while i == 0;
        i = round(rep*rand());
    end
    T(j,:) = SMA4_HK(M(i,1),M(i,2),M(i,3),M(i,4),0.752,N);
end
name = 'MonteCarlo_timeseries_Tmax.mat';
save(name,'T')
toc;